Subject: Re: 25.1.50; --with-x-toolkit options cause the build to fail.

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 21 Mar 2016 20:38:57 -0700

It appears that an apology may be needed with respect to launching bug report for 23003 in that the problem appears to be caused by first building Emacs using the `--with-ns` option, followed by building Emacs again using `--with-x`.  I have never used `make clean`, but that appears to resolve the issues with gtk3, athena and motif.

Your patch applies to the master branch, instead of the emacs-25 branch.  But, the patch may not be necessary . . . .

Even when switching between athena and motif, it is apparently necessary to run `make clean` before running a new configure and make.

If it is not inconvenient, perhaps leave this ticket open for a reasonable period of time.  I will be building using all of the options over the next few weeks and will make a note on my calendar to report back.

I would also like to apologize for my unfamiliarity with a patch containing things like:

  From 09154cfbe27159d5a9f0acd3e3ae89c6969f694d Mon Sep 17 00:00:00 2001
  From: Paul Eggert <[email-masked]>
  Date: Thu, 17 Mar 2016 23:45:02 -0700
  Subject: [PATCH] Port to GTK with strict C99 compiler

I had never seen such a thing before and erroneously assumed it would cause problems when applying the patch.

So, in a nutshell, no changes for now please. . .  Thank you for all your hard work, and my apologies for potentially wasting your time.

Thanks,

Keith